package com.gzlh.bus;

import cn.hutool.core.thread.ThreadUtil;
import com.gzlh.config.dto.EventDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Slf4j
public class EventBus {

    /**
     * 触发事件
     * @param eventName
     */
    public void startEvent(String eventName){
        EventThread thread = new EventThread(eventName);
        ThreadUtil.execute(thread);
    }
}
