package com.gzlh.config.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
@Data
public class EventDTO {
    @JsonProperty("name")
    private String name;
    @JsonProperty("actionList")
    private ActionListDTO actionList;

    @NoArgsConstructor
    @Data
    public static class ActionListDTO {
        @JsonProperty("action")
        private List<String> action;
    }
}
