package com.gzlh.device.capture.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@ConfigurationProperties(prefix = "capture")
@Configuration
@Data
public class CapturePropertiesConfig {
    /**
     * 品牌
     */
    private int brand;
    private String host;
    private int port;
    private String username;
    private String pwd;
    private boolean enable;
}
