package com.gzlh.device.infrared.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@ConfigurationProperties(prefix = "red")
@Data
@Configuration
public class RedPropertiesConfig {
    private String host;
    private int port;
    /**
     * 品牌
     */
    private int brand;
    private boolean enable;
}
