package com.gzlh.device.led.utils;

import cn.hutool.core.util.HexUtil;

public class CRC16 {
    public static String crc16(int[] data, int size) {
        char crc = 0x0;
        int i, j;
        int data_t;
        for (j = 0; j < size; j++) {
            data_t = data[j];
            crc = (char) ((data_t & 0xFF) ^ (crc));
            for (i = 0; i < 8; i++) {
                if ((crc & 0x1) == 1) {
                    crc = (char) ((crc >> 1) ^ (0xa001));
                } else {
                    crc >>= 1;
                }
            }
        }
        char value= (char) ((crc >> 8) | (crc << 8));
        char m;
        StringBuilder sb=new StringBuilder();
        for (i = 3; i >= 0; i--) {
            m = (char) (((value >> (i * 4)) & (0x000F)));
            if ((m >= 0) && (m <= 9)) {
                m += '0';
            } else if ((m >= 10) && (m <= 15)) {
                m = (char) (m - 10 + 'A');
            }
            sb.append(m);
            if ((i % 2) == 0) {
                System.out.print(" ");
                if (i == 0) break;
            }
        }
        return sb.toString();
    }




}
