package com.gzlh.device.weighbridge.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@ConfigurationProperties(prefix = "weighbridge")
@Data
@Configuration
public class WeighbridgePropertiesConfig {
    private String host;
    private int port;
    /**
     * 品牌
     */
    private int brand;
    private int minKg;

    private boolean enable;
}
