package com.gzlh.utils;


import java.util.Date;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class DeviceCache {
    private static Map<String,Object> map = new ConcurrentHashMap<String,Object>();
    private static Map<String, Date> plcTimeMap = new ConcurrentHashMap<String,Date>();

    static boolean interrupt=false;

    static String plcStatus = null;

    public static void setPlcStatus(String status){
        plcStatus=status;
    }

    public static String getPlcStatus(){
        return plcStatus;
    }

    public static void putTime(String k, Date v){
        plcTimeMap.put(k,v);
    }
    public static Date getTime(String k){
        return plcTimeMap.get(k);
    }
    public static void resetTimeMap(){
        plcTimeMap=new ConcurrentHashMap<String,Date>();;
    }


    public static void put(String k, Object v){
        map.put(k,v);
    }

    public static Object get(String k){
        return map.get(k);
    }

    public static void remove(String k){
        map.remove(k);
    }

    public static Map<String,Object> getCacheMap(){
        return map;
    }
    public static Map<String, Date> getTimeMap(){
        return plcTimeMap;
    }

    public static boolean isInterrupt() {
        return interrupt;
    }

    public static void setInterrupt(boolean interrupt) {
        DeviceCache.interrupt = interrupt;
    }
}
