package com.gzlh.config;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ModuleEnum {
    LED_MODULE("led显示屏","LED"),
    WEIGHBRIDGE_MODULE("地磅","WEIGHBRIDGE"),
    INFRARED_MODULE("红外","INFRARED"),
    TRAFFIC_MODULE("红绿灯","TRAFFIC"),
    GATE_MODULE("道闸","GATE"),
    CAPTURE_MODULE("抓拍单元","CAPTURE"),
    PLC_MODULE("PLC","PLC"),
    CENTER_MODULE("action调度中心","CENTER"),
    CAR_MODULE("电子车牌","CAR"),
    ;
    /**
     * 模块（硬件）中文名
     */
    private String moduleZh;
    /**
     * 模块（硬件）英文
     */
    private String moduleEn;
}
