package com.gzlh.config;

import com.gzlh.device.capture.factory.CaptureFactory;
import com.gzlh.device.capture.properties.CapturePropertiesConfig;
import com.gzlh.device.electron.factory.ElectronFactory;
import com.gzlh.device.infrared.config.RedPropertiesConfig;
import com.gzlh.device.infrared.factory.RedFactory;
import com.gzlh.device.led.factory.LedFactory;
import com.gzlh.device.weighbridge.config.WeighbridgePropertiesConfig;
import com.gzlh.device.weighbridge.factory.WeighbridgeFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SystemObject {

    public static ApplicationConfig applicationConfig;

    public static FilePropertiesConfig filePropertiesConfig;
    public static RedFactory redFactory;
    public static RedPropertiesConfig redPropertiesConfig;

    public static WeighbridgeFactory weighbridgeFactory;
    public static WeighbridgePropertiesConfig weighbridgePropertiesConfig;

    public static LedFactory ledFactory;
    public static CapturePropertiesConfig capturePropertiesConfig;

    public static CaptureFactory captureFactory;
    public static ElectronFactory electronFactory;
    @Autowired
      void setElectronFactory(ElectronFactory electronFactory) {
        SystemObject.electronFactory = electronFactory;
    }

    @Autowired
    void setApplicationConfig(ApplicationConfig applicationConfig) {
        SystemObject.applicationConfig = applicationConfig;
    }
    @Autowired
   void setFilePropertiesConfig(FilePropertiesConfig filePropertiesConfig) {
        SystemObject.filePropertiesConfig = filePropertiesConfig;
    }

    @Autowired
   void setRedFactory(RedFactory redFactory) {
        SystemObject.redFactory = redFactory;
    }
    @Autowired
    void setRedPropertiesConfig(RedPropertiesConfig redPropertiesConfig) {
        SystemObject.redPropertiesConfig = redPropertiesConfig;
    }
    @Autowired
     void setWeighbridgeFactory(WeighbridgeFactory weighbridgeFactory) {
        SystemObject.weighbridgeFactory = weighbridgeFactory;
    }
    @Autowired
     void setWeighbridgePropertiesConfig(WeighbridgePropertiesConfig weighbridgePropertiesConfig) {
        SystemObject.weighbridgePropertiesConfig = weighbridgePropertiesConfig;
    }
    @Autowired
    void setLedFactory(LedFactory ledFactory) {
        SystemObject.ledFactory = ledFactory;
    }

    @Autowired
   void setCaptureFactory(CaptureFactory captureFactory) {
        SystemObject.captureFactory = captureFactory;
    }
    @Autowired
     void setCapturePropertiesConfig(CapturePropertiesConfig capturePropertiesConfig) {
        SystemObject.capturePropertiesConfig = capturePropertiesConfig;
    }
}
