package com.gzlh.device.electron.handler;

import com.gzlh.device.capture.brand.CaptureBrandType;
import com.gzlh.device.electron.brand.ElectronBrandType;

public interface IElectronHandler {

    ElectronBrandType brandType();


    /**
     * 处理命令
     * @param action
     */
    void handlerAction(String action);

    /**
     * 发送信息
     * @param msg
     */
    void sendMsg(String msg);

    /**
     * 处理信息
     * @param msg
     */
    void handlerMsg(String msg);

}
