package com.gzlh.device.weighbridge.server;

import cn.hutool.cache.CacheUtil;
import cn.hutool.cache.impl.TimedCache;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

public class CheckManager {
    private static String FLAG = "flag_key";
    //读2秒的数据
    private static TimedCache<String, Boolean> TASK_CACHE = CacheUtil.newTimedCache(3000);

    private static List<Integer> WEIGHT_LIST = new CopyOnWriteArrayList<>();

    public static boolean check() {
        Boolean result = TASK_CACHE.get(FLAG, false);
        return result != null;
    }

    public static void setStart() {
        TASK_CACHE.put(FLAG, true);
    }
    public static void setStop() {
        TASK_CACHE.put(FLAG, null);
    }

    public static void add(int weight) {
        WEIGHT_LIST.add(weight);

    }
    public static List<Integer>getWeightList(){
        return WEIGHT_LIST;
    }

}
