package com.gzlh.entity;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.context.annotation.Lazy;

import java.io.Serializable;
import java.util.*;

@Data
@Accessors(chain = true)
public class ReqBO implements Serializable {
    /**
     * 方向 0=未知,1=进,2=退,3=离开
     */
    private int direction;
    /**
     * 通道号
     */
    private String channelCode;
    /**
     * 车牌
     */
    private String carNo;
    /**
     * 车牌图片base64
     */
    private String carImg;
    /**
     * 称重重量kg
     */
    private Double weight;
    /**
     * 车厢号
     */
    private Map<String,String> boxNoList=new HashMap<>();
    /**
     * 前后箱号图片List base64
     */
    private List<String> boxFImgList=new ArrayList<>();

    private List<String> boxBImgList=new ArrayList<>();

    /**
     * 采集时间
     */
    private Date gatherTime;


}
