package com.gzlh.utils;

public class XorUtils {

    public static String xor(String hexStr){
       return Byte2Hex(getXor(hexString2Bytes(hexStr)));
    }

    //1字节转2个Hex字符
    private static String Byte2Hex(Byte inByte) {
        return String.format("%02x", new Object[]{inByte}).toUpperCase();
    }

    private static byte getXor(byte[] datas) {
        byte temp = datas[0];
        for (int i = 1; i < datas.length; i++) {

            temp ^= datas[i];
        }
        return temp;
    }

    /**
     * 十六进制字符串转换成字节数组
     * @param hexstr 十六进制字符串
     * @return 字节数组
     */
    public static byte[] hexString2Bytes(String src) {
        int l = src.length() / 2;
        byte[] ret = new byte[l];
        for (int i = 0; i < l; i++) {
            ret[i] =Integer
                    .valueOf(src.substring(i * 2, i * 2 + 2), 16).byteValue();
        }
        return ret;
    }
    public static void main(String[] args) {
        String s="F5,01,00,05,01,03,00,01,02,F0";
        System.out.println(hexString2Bytes("F50100050003000102")[0]);
        System.out.println(hexString2Bytes("F50100050003000102")[0]);
    }

}
